function getCookieVal (offset) {
  var endstr = document.cookie.indexOf (";", offset);
  if (endstr == -1)
    endstr = document.cookie.length;
  return unescape(document.cookie.substring(offset, endstr));
}

function GetCookie (name) {
  var arg = name + "=";
  var alen = arg.length;
  var clen = document.cookie.length;
  var i = 0;
  while (i < clen) {
    var j = i + alen;
    if (document.cookie.substring(i, j) == arg)
      return getCookieVal (j);
    i = document.cookie.indexOf(" ", i) + 1;
    if (i == 0)
      break;
  }
  return null;
}

function SetCookie (name, value) {
  var argv = SetCookie.arguments;
  var argc = SetCookie.arguments.length;
  var expires = (argc > 2) ? argv[2] : null;
  var path = (argc > 3) ? argv[3] : null;
  var domain = (argc > 4) ? argv[4] : null;
  var secure = (argc > 5) ? argv[5] : false;
  document.cookie = name + "=" + escape (value) +
    ((expires == null) ? "" : ("; expires=" + expires.toGMTString())) +
    ((path == null) ? "" : ("; path=" + path)) +
    ((domain == null) ? "" : ("; domain=" + domain)) +
    ((secure == true) ? "; secure" : "");
}


var plugin = 0;
function check_flash (mver) {
	plugin = (navigator.mimeTypes && navigator.mimeTypes["application/x-shockwave-flash"]) ? navigator.mimeTypes["application/x-shockwave-flash"].enabledPlugin : 0;
	if ( plugin ) {
		plugin = parseInt(plugin.description.substring(plugin.description.indexOf(".")-1)) >= mver;
	}
	else if (navigator.userAgent && navigator.userAgent.indexOf("MSIE")>=0
	   && (navigator.userAgent.indexOf("Windows 95")>=0 || navigator.userAgent.indexOf("Windows 98")>=0 || navigator.userAgent.indexOf("Windows NT")>=0)) {
		document.write('<SCRIPT LANGUAGE=VBScript\> \n');
		document.write('on error resume next \n');
		document.write('plugin = ( IsObject(CreateObject("ShockwaveFlash.ShockwaveFlash.'+mver+'")))\n');
		document.write('</SCRIPT\> \n');
	}
}


function GetFlashName (fl1, fl2, snum) {
var flash = fl1;
		if (!(num2 = GetCookie(flash+'snum'))) num2 = 0;
		if (snum <= num2) {// show second flash
			flash = fl2;
		}
		else {
			num2++;
			var expdate = new Date();
			expdate.setTime(expdate.getTime() + (30*365*24*60*60));
			SetCookie(flash+'snum',num2,expdate);
		}
return flash;
}


function flash2html (flash, w, h, pic, fver, ff, fl2, snum) {

var fver = (fver > 0) ? fver : 3; // min flash version
var ff = (ff) ? ff : false; //force_flash
var snum = (snum > 0) ? snum : 1;

check_flash (fver);

	if ( plugin || ff) {

	if (fl2) flash = GetFlashName (flash, fl2, snum);
		document.write('<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version='+fver+',0,0,0" width="'+w+'" height="'+h+'">');
		document.write('<param name=movie value="'+flash+'">');
		document.write('<param name=quality value=high>');
		document.write('<param name=menu value=false>');
		document.write('<embed src="'+flash+'" quality=high pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" width="'+w+'" height="'+h+'">');
		document.write('</embed>');
		document.write('</object>');
	} else if (!(navigator.appName && navigator.appName.indexOf("Netscape")>=0 && navigator.appVersion.indexOf("2.")>=0)){
		document.write('<IMG SRC="'+pic+'" WIDTH="'+w+'" HEIGHT="'+h+'" BORDER="0">');
	}
}

function flash_or_html (flash, w, h, func, fver, ff, fl2, snum) {

var fver = (fver > 0) ? fver : 3; // min flash version
var ff = (ff) ? ff : false; //force_flash
var snum = (snum > 0) ? snum : 1;
check_flash (fver);

	if ( plugin || ff) {
		if (fl2) flash = GetFlashName (flash, fl2, snum);
			document.write('<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version='+fver+',0,0,0" width="'+w+'" height="'+h+'">');
			document.write('<param name=movie value="'+flash+'">');
			document.write('<param name=menu value=false>');
			document.write('<param name=quality value=high>');
			document.write('<embed src="'+flash+'" quality=high pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" width="'+w+'" height="'+h+'">');
			document.write('</embed>');
			document.write('</object>');
		} else if (!(navigator.appName && navigator.appName.indexOf("Netscape")>=0 && navigator.appVersion.indexOf("2.")>=0)){
			eval(func);
	}
}

